Đến nội dung


Hình ảnh
- - - - -

Chỉnh Sửa Hàng Loạt Text


  • Please log in to reply
6 replies to this topic

#1 txquychk51

txquychk51

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 23 November 2016 - 03:52 PM

e có file cad dưới đây, nhờ mọi người giúp e cách chỉnh text sao cho: ví dụ 1 * 1250 thì sẽ thành 1250 * 1; 11 * 175 sẽ thành 175 * 11; 5 * 20 sẽ thành 20 * 5 ạ. cảm ơn mọi người

https://drive.google...Zlk2WThfRUIwMmM


  • 0

#2 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 665 Bài viết
Điểm đánh giá: 312 (khá)

Đã gửi 23 November 2016 - 04:49 PM

Cách thì không biết, nhưng lisp thì có thể làm được việc này.


  • 1

#3 Danh Cong

Danh Cong

    biết lệnh linetype

  • Members
  • PipPipPipPip
  • 242 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 23 November 2016 - 05:52 PM

Bạn @Quy cũng nhiệt tình tham gia diễn đàn thì cũng nên tìm hiểu về lisp đi. Ko khó nếu ở mức căn bản đâu : ))
  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 November 2016 - 07:07 PM

e có file cad dưới đây, nhờ mọi người giúp e cách chỉnh text sao cho: ví dụ 1 * 1250 thì sẽ thành 1250 * 1; 11 * 175 sẽ thành 175 * 11; 5 * 20 sẽ thành 20 * 5 ạ. cảm ơn mọi người

https://drive.google...Zlk2WThfRUIwMmM

Bạn thử code này:

(defun c:gh(/ i ss ename entg)
  (setq i -1)
  (if (setq ss (ssget '((0 . "TEXT") (1 . "*# * #*"))))
    (while (setq ename (ssname ss (setq i (1+ i))))
      (setq entg (entget ename))
      (setq txt (cdr(assoc 1 entg)))
      (setq entg (subst (cons 1 (strcat (substr txt (+ 3 (vl-string-position (ascii "*") txt)) (strlen txt))
       " * "
      (substr txt 1 (- (vl-string-position (ascii "*") txt) 1))
     )
)
        (assoc 1 entg) entg))
      (entmod entg)
    )
  )
  (princ)
)

  • 1

#5 txquychk51

txquychk51

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 23 November 2016 - 07:20 PM

Cách thì không biết, nhưng lisp thì có thể làm được việc này.

dạ, cảm ơn a, nhờ a chỉ bảo ạ


  • 0

#6 txquychk51

txquychk51

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 23 November 2016 - 07:26 PM

Bạn @Quy cũng nhiệt tình tham gia diễn đàn thì cũng nên tìm hiểu về lisp đi. Ko khó nếu ở mức căn bản đâu : ))

hj2, lên để tìm hiểu và học hỏi thôi bạn ạ. lisp hỗ trợ cho cad rất nhiều thứ, nhưng hiểu biết của mình thì quá ít, mà cũng khó khăn để tự học nữa, mình sẽ cố gắng hoàn thiện kiến thức dần dần ạ


  • 0

#7 txquychk51

txquychk51

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 23 November 2016 - 09:37 PM

 

Bạn thử code này:

(defun c:gh(/ i ss ename entg)
  (setq i -1)
  (if (setq ss (ssget '((0 . "TEXT") (1 . "*# * #*"))))
    (while (setq ename (ssname ss (setq i (1+ i))))
      (setq entg (entget ename))
      (setq txt (cdr(assoc 1 entg)))
      (setq entg (subst (cons 1 (strcat (substr txt (+ 3 (vl-string-position (ascii "*") txt)) (strlen txt))
       " * "
      (substr txt 1 (- (vl-string-position (ascii "*") txt) 1))
     )
)
        (assoc 1 entg) entg))
      (entmod entg)
    )
  )
  (princ)
)

e đã tử và thành công ạ. cảm ơn a đã giúp


  • 0